<template>
  <v-switch
    v-model="currentValue"
    :label="label"
    :loading="loading"
    :disabled="loading"
    hide-details
    inset
    base-color="var(--tw-color-gray-400)"
    color="var(--tw-color-teal-600)"
  />
</template>

<script setup lang="ts">
import { ref, watch } from 'vue';

type SwitchInputProps = {
  modelValue: boolean;
  label: string;
  loading?: boolean;
}

const emit = defineEmits(['update:modelValue']);
const props = withDefaults(defineProps<SwitchInputProps>(), {
  loading: false,
});

const currentValue = ref(props.modelValue);

watch(currentValue, value => {
  emit('update:modelValue', value);
});
</script>